# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.277   -> 1.278  
#	drivers/usb/serial/ftdi_sio.c	1.23    -> 1.24   
#	drivers/usb/serial/ftdi_sio.h	1.3     -> 1.4    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/02/11	greg@soap.kroah.net	1.278
# removed 'typedef' from the ftdi_sio usb-serial driver.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Mon Feb 11 14:03:21 2002
+++ b/drivers/usb/serial/ftdi_sio.c	Mon Feb 11 14:03:21 2002
@@ -154,7 +154,7 @@
 
 
 struct ftdi_private {
-	ftdi_type_t ftdi_type;
+	enum ftdi_type ftdi_type;
 	__u16 last_set_data_urb_value ; /* the last data state set - needed for doing a break */
         int write_offset;
 };
@@ -652,7 +652,7 @@
 } /* ftdi_sio_serial_read_bulk_callback */
 
 
-static __u16 translate_baudrate_to_ftdi(unsigned int cflag, ftdi_type_t ftdi_type) 
+static __u16 translate_baudrate_to_ftdi(unsigned int cflag, enum ftdi_type ftdi_type) 
 { /* translate_baudrate_to_ftdi */
 	
 	__u16 urb_value = ftdi_sio_b9600;
diff -Nru a/drivers/usb/serial/ftdi_sio.h b/drivers/usb/serial/ftdi_sio.h
--- a/drivers/usb/serial/ftdi_sio.h	Mon Feb 11 14:03:21 2002
+++ b/drivers/usb/serial/ftdi_sio.h	Mon Feb 11 14:03:21 2002
@@ -87,13 +87,13 @@
  * Data:           None
  */
 
-typedef enum {
+enum ftdi_type {
 	sio = 1,
 	F8U232AM = 2,
-} ftdi_type_t;
+};
 
 
-typedef enum {
+enum {
  ftdi_sio_b300 = 0, 
  ftdi_sio_b600 = 1, 
  ftdi_sio_b1200 = 2,
@@ -104,10 +104,10 @@
  ftdi_sio_b38400 = 7,
  ftdi_sio_b57600 = 8,
  ftdi_sio_b115200 = 9
-} FTDI_SIO_baudrate_t ;
+};
 
 
-typedef enum {
+enum {
   ftdi_8U232AM_12MHz_b300 = 0x09c4,
   ftdi_8U232AM_12MHz_b600 = 0x04E2,
   ftdi_8U232AM_12MHz_b1200 = 0x0271,
@@ -119,9 +119,9 @@
   ftdi_8U232AM_12MHz_b57600 = 0x000d,
   ftdi_8U232AM_12MHz_b115200 = 0x4006,
   ftdi_8U232AM_12MHz_b230400 = 0x8003,
-} FTDI_8U232AM_12MHz_baudrate_t;
+};
 /* Apparently all devices are 48MHz */
-typedef enum {
+enum {
   ftdi_8U232AM_48MHz_b300 = 0x2710,
   ftdi_8U232AM_48MHz_b600 = 0x1388,
   ftdi_8U232AM_48MHz_b1200 = 0x09c4,
@@ -136,7 +136,7 @@
   ftdi_8U232AM_48MHz_b460800 = 0x4006,
   ftdi_8U232AM_48MHz_b921600 = 0x8003,
 
-} FTDI_8U232AM_48MHz_baudrate_t;
+};
 
 #define FTDI_SIO_SET_DATA_REQUEST FTDI_SIO_SET_DATA
 #define FTDI_SIO_SET_DATA_REQUEST_TYPE 0x40
